## org.apache.poi.xssf.streaming
Class SXSSFRow.FilledCellIterator

    java.lang.Object
      org.apache.poi.xssf.streaming.SXSSFRow.FilledCellIterator

All Implemented Interfaces:
  java.util.Iterator<Cell>

Enclosing class:
  SXSSFRow

    public class SXSSFRow.FilledCellIterator

extends java.lang.Object
implements java.util.Iterator<Cell>

returns all filled cells (created via Row.createCell())

Method Summary
`boolean` `hasNext()`
`Cell` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<Cell>`

### next

    public Cell next()
              throws java.util.NoSuchElementException

  Specified by:
    `next` in interface `java.util.Iterator<Cell>`
  Throws:
    `java.util.NoSuchElementException`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<Cell>`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.